%define upstream_name    Dist-Zilla-Plugin-GitHubREADME-Badge
%define upstream_version 0.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla - add badges to github README.md
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Dist::Zilla::Plugin::GitHubREADME::Badge is to add badges in github
README.md

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.350.0-2.mga9
+ Revision: 1816552
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 0.350.0-1.mga9
+ Revision: 1788349
- update to 0.35

* Thu Feb 25 2021 tv <tv> 0.330.0-1.mga9
+ Revision: 1690215
- update to 0.33

* Sat Aug 22 2020 tv <tv> 0.320.0-1.mga8
+ Revision: 1617768
- update to 0.32

* Fri Aug 21 2020 tv <tv> 0.310.0-1.mga8
+ Revision: 1617388
- update to 0.31

* Tue Feb 18 2020 umeabot <umeabot> 0.300.0-2.mga8
+ Revision: 1538568
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 tv <tv> 0.300.0-1.mga8
+ Revision: 1462198
- update to 0.30

* Fri Oct 04 2019 tv <tv> 0.290.0-1.mga8
+ Revision: 1449275
- update to 0.29

* Sat Jun 29 2019 shlomif <shlomif> 0.280.0-1.mga8
+ Revision: 1415510
- update to 0.28

* Thu Sep 20 2018 umeabot <umeabot> 0.270.0-2.mga7
+ Revision: 1283019
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 tv <tv> 0.270.0-1.mga7
+ Revision: 1237574
- update to 0.27

* Thu Apr 05 2018 tv <tv> 0.260.0-1.mga7
+ Revision: 1215341
- update to 0.26

* Mon Feb 19 2018 tv <tv> 0.230.0-1.mga7
+ Revision: 1202977
- update to 0.23

* Mon Oct 02 2017 tv <tv> 0.220.0-2.mga7
+ Revision: 1164208
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.220.0-1.mga7
+ Revision: 1157548
- update to 0.22

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1026211
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1007688
- imported package perl-Dist-Zilla-Plugin-GitHubREADME-Badge


* Fri Apr 29 2016 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
